using Elwig.Models;

namespace Elwig.Documents {
    public class DeliveryNote : BusinessDocument {

        public Delivery Delivery;
        public string? Text;

        public DeliveryNote(Delivery d) : base($"Traubenübernahmeschein Nr. {d.LsNr}", d.Member) {
            Delivery = d;
            Aside = Aside.Replace("</table>", "") +
                $"<thead><tr><th colspan='2'>Lieferung</th></tr></thead><tbody>" +
                $"<tr><th>LS-Nr.</th><td>{d.LsNr}</td></tr>" +
                $"<tr><th>Datum/Zeit</th><td>{d.Date:dd.MM.yyyy} / {d.Time:HH:mm}</td></tr>" +
                $"<tr><th>Zweigstelle</th><td>{d.Branch.Name}</td></tr>" +
                $"</tbody></table>";
            Text = App.Client.DeliveryNoteText;
        }
    }
}
