using Elwig.Models;

namespace Elwig.Helpers {
	public class ClientParameters {

		public string NameToken;
		public string NameShort;
		public string NameShortened;
		public string Name;
		public string NameSuffix;
		public string NameFull => $"{Name} {NameSuffix}";

		public PostalDest PostalDest {
			set {
				Plz = value.AtPlz.Plz;
				Ort = value.AtPlz.Ort.Name;
			}
		}
		public int Plz { get; private set; }
		public string Ort { get; private set; }
		public string Address;
		public string Sender1 => $"{NameShort} | {Address} | {Plz} {Ort}";
		public string Sender2;

		public string? Iban;
		public string? Bic;
		public string? UstId;
		public string? LfbisNr;

		public string? PhoneNr;
		public string? FaxNr;
		public string? EmailAddress;
		public string? Website;

		public string? DeliveryNoteText;

		public ClientParameters() {
			NameToken = "WGM";
			NameShort = "WG Matzen";
			NameShortened = "Winzergenossenschaft f. Matzen u. Umgebung";
			Name = "Winzergenossenschaft für Matzen und Umgebung";
			NameSuffix = "reg. Gen.m.b.H.";
			Plz = 2243;
			Ort = "Matzen";
			Address = "Schloßstraße 6";
			PhoneNr = "+43 2289 2221";
			FaxNr = "+43 2289 2221";
			EmailAddress = "winzermatzen@aon.at";
			Website = "winzermatzen.at";
			LfbisNr = "0901768";
			UstId = "ATU16328105";
			Bic = "RLNWATWWGAE";
			Iban = "AT92 3209 2000 0240 0075";
			Sender2 = "E Österreichische Post AG Eco Brief";
			DeliveryNoteText = "Das Mitglied erklärt, dass die gelieferte Ware dem österreichischen Weingesetz entspricht und insbesondere die " +
				"Bestimmungen über die Mengenbeschränkungen sowie für die Erzeugung von Wein besonderer Leseart eingehalten wird. " +
				"Alle maßgeblichen Veränderungen obiger Angaben sind der Winzergenossenschaft unverzüglich zu melden. " +
				"Das Mitglied bestätigt weiters mit seiner Unterschrift, dass die gelieferten Trauben entsprechend der guten Herstellungspraxis erzeugt wurden, " +
				"insbesondere die Einhaltung der vom Hersteller vorgegebenen Wartefristen für Pflanzenschutzmittel. " +
				"Weiters wird bestätigt, dass die Datenschutzerklärung der Winzergenossenschaft für Matzen und Umgebung in der Übernahmestelle zur freien Entnahme aufliegt.";
		}
	}
}
