using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace Elwig.Models {
    [Table("area_commitment"), PrimaryKey("FbNr")]
    public class AreaCom {
        [Column("fbnr")]
        public int FbNr { get; set; }

        [Column("mgnr")]
        public int MgNr { get; set; }

        [Column("sortid")]
        public string SortId { get; set; }

        [Column("cultid")]
        public string CultId { get; set; }

        [Column("area")]
        public int Area { get; set; }

        [Column("kgnr")]
        public int KgNr { get; set; }

        [Column("gstnr")]
        public string GstNr { get; set; }

        [Column("rdnr")]
        public int? RdNr { get; set; }

        [Column("year_from")]
        public int YearFrom { get; set; }

        [Column("year_to")]
        public int? YearTo { get; set; }

        [Column("comment")]
        public string? Comment { get; set; }

        [ForeignKey("MgNr")]
        public virtual Member Member { get; private set; }

        [ForeignKey("SortId")]
        public virtual WineVar WineVar { get; private set; }

        [ForeignKey("CultId")]
        public virtual WineCult WineCult { get; private set; }

        [ForeignKey("KgNr")]
        public virtual WbKg Kg { get; private set; }

        [ForeignKey("KgNr, RdNr")]
        public virtual WbRd? Rd { get; private set; }

        [InverseProperty("AreaCom")]
        public virtual ISet<AreaComAttr> AttributeEntries { get; private set; }

        [NotMapped]
        public IEnumerable<WineAttr> Attributes => AttributeEntries.Select(e => e.WineAttr);
    }
}
