using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("branch"), PrimaryKey("ZwstId")]
    public class Branch {
        [Column("zwstid")]
        public string ZwstId { get; set; }

        [Column("name")]
        public string Name { get; set; }

        [Column("country")]
        public int? CountryNum { get; set; }

        [Column("postal_dest")]
        public string? PostalDestId { get; set; }

        [Column("address")]
        public string? Address { get; set; }

        [ForeignKey("CountryNum")]
        public virtual Country? Country { get; private set; }

        [ForeignKey("CountryNum, PostalDestId")]
        public virtual PostalDest? PostalDest { get; private set; }

        [Column("phone_nr")]
        public string? PhoneNr { get; set; }

        [Column("fax_nr")]
        public string? FaxNr { get; set; }

        [Column("mobile_nr")]
        public string? MobileNr { get; set; }

        [InverseProperty("Branch")]
        public virtual ISet<Member> Members { get; private set; }
    }
}
