using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("delivery_part_attribute"), PrimaryKey("Year", "DId", "DPNr", "AttrId")]
    public class DeliveryPartAttr {
        [Column("year")]
        public int Year { get; set; }

        [Column("did")]
        public int DId { get; set; }

        [Column("dpnr")]
        public int DPNr { get; set; }

        [ForeignKey("Year, DId, DPNr")]
        public virtual DeliveryPart Part { get; private set; }

        [Column("attrid")]
        public string AttrId { get; set; }

        [ForeignKey("AttrId")]
        public virtual WineAttr Attr { get; private set; }
    }
}
